#include "scripts/common.txt"

namespace MT
{
	const kStr VERSION = "1.0.0";

	const kStr GV_KEY_DIFFICULTY      = "g_difficulty";
	const kStr GV_KEY_NEWGAME         = "g_newgame";
	const kStr GV_KEY_STARTMAP        = "g_startmap";
	const kStr GV_KEY_CHRONOPIECES    = "chronoPieceFlags";
	const kStr GV_KEY_SYSTEM          = "MT_System";
	const kStr GV_KEY_GAME_FLAGS      = "MT_GameFlags";

	const int SCRIPT_MAP_COMMON_START = 0;
	const int SCRIPT_MAP_COMMON_TICK  = 1;
	const int SCRIPT_MAP_MT_TICK      = 60000;

	const kStr PATH_MAP_START    = "levels/mayahem-temple.map";

	const kStr PATH_MUSIC_MAYAHEM_TEMPLE = "sounds/shaders/music_temple.ksnd";

	enum MapIDs
	{
		MAP_MT_START = 120,
	}
	
	// are not reset on newgame
	enum SystemFlags
	{
		SF_EASYFINISHED = (1 << 0),
		SF_NORMALFINISHED = (1 << 1),
		SF_HARDFINISHED = (1 << 2),
		SF_HARDCOREFINISHED = (1 << 3)
	}

	enum GameFlags
	{
		GF_GAMESTARTED = (1 << 0)
	}
}
